Kim-D

Supercard,DSTWO firmware support 3ds 4.5.0-10 1.19

  1. Kim-D
    Nintendo has just updated their firmware to 4.5.0-10. so many flashcards blocks. DSTWO released the fimware 1.19 to suit it.
    that's amazing

    More details pls check here: http://www.gamekool.com/supercard-ds-two-scds2-for-nintendo-ds-ds-litedsi-3ds-p-340.html